<?php
class SHCMS_core
{
	/**
	 * @var  string  Набор символов входных и выходных
	 */
	public static $charset = 'utf-8';
	
	/**
	 * @var  string  имя сервера SHCMS размещается на
	 */
	public static $server_name = '';
	
	/**
	 * Отменяет эффекты `register_globals` настройки PHP при помощи сброса
     * Все глобальные varibles за исключением умолчанию супер глобальных прогнозов (ГЦП и др.),
	 * @return  void
	 */
	public static function globals()
	{
		if (isset($_REQUEST['GLOBALS']) OR isset($_FILES['GLOBALS']))
		{
			// Предотвращения вредоносных атак перегрузки GLOBALS
			echo "Глобальная переменная атаки определяется перегрузка! Запрос прерван.\n";

			// Выход с ошибкой статус
			exit(1);
		}

		// Получить переменную имена всех глобальных
		$global_variables = array_keys($GLOBALS);

		// Выньте стандартный глобальные переменные из списка
		$global_variables = array_diff($global_variables, array(
			'_COOKIE',
			'_ENV',
			'_GET',
			'_FILES',
			'_POST',
			'_REQUEST',
			'_SERVER',
			'_SESSION',
			'GLOBALS',
		));

		foreach ($global_variables as $name)
		{
			// Верните в исходное положение глобальной переменной, эффективно отключение register_globals
			unset($GLOBALS[$name]);
		}
	}
	
	
	public static function online_guest() {
	global $user_id,$vi_shcms,$ua;
		//Выводим информацию о госте
          $sys = mysql_fetch_array(mysql_query("SELECT * FROM `online_guest` WHERE `ip` = '$vi_shcms'"));
       if($user_id == false) {
       if($sys['ip'] == $vi_shcms) {
		//Обновляем гостя в базе
          mysql_query("UPDATE `online_guest` SET `ip`='$vi_shcms',`time`='".time()."',`ua`='$ua' WHERE `ip` = $sys[ip]");
        }
       else
        {
		//Добавляем гостя в базу
          mysql_query("INSERT INTO `online_guest` (`ip`,`time`,`ua`) VALUES ('$vi_shcms','".time()."',`ua`='$ua')");
        }
       }
	   //Удаление гостей
          mysql_query("DELETE FROM `online_guest` WHERE `time` < '".(time()-600)."' AND `ip`='$vi_shcms'");
	
	
	}
	/*
	 * @var  string Ручной вывод классов include_once(@name)
	*/	
	public static function manual_output() {
	include_once(H.'system/inc/library/uploads.class.php');
	
	}
	
	
	public static function Upload_end($str) {
    $tr = array(
        "А"=>"A","Б"=>"B","В"=>"V","Г"=>"G",
        "Д"=>"D","Е"=>"E","Ж"=>"J","З"=>"Z","И"=>"I",
        "Й"=>"Y","К"=>"K","Л"=>"L","М"=>"M","Н"=>"N",
        "О"=>"O","П"=>"P","Р"=>"R","С"=>"S","Т"=>"T",
        "У"=>"U","Ф"=>"F","Х"=>"H","Ц"=>"TS","Ч"=>"CH",
        "Ш"=>"SH","Щ"=>"SCH","Ъ"=>"","Ы"=>"YI","Ь"=>"",
        "Э"=>"E","Ю"=>"YU","Я"=>"YA","а"=>"a","б"=>"b",
        "в"=>"v","г"=>"g","д"=>"d","е"=>"e","ж"=>"j",
        "з"=>"z","и"=>"i","й"=>"y","к"=>"k","л"=>"l",
        "м"=>"m","н"=>"n","о"=>"o","п"=>"p","р"=>"r",
        "с"=>"s","т"=>"t","у"=>"u","ф"=>"f","х"=>"h",
        "ц"=>"ts","ч"=>"ch","ш"=>"sh","щ"=>"sch","ъ"=>"y",
        "ы"=>"yi","ь"=>"","э"=>"e","ю"=>"yu","я"=>"ya"," " =>"_"
    );
    return strtr($str,$tr);
}

	/*
	 * @var  Функция легкой прописки ссылок
	 * string  $link_name = Название ссылки
	 * string  $link = URL название
	 * string  $link_title = Комментария к ссылке
	*/	
    public static function link_shcms($link_name,$link,$link_title = false) {
	    if($link_title == false) {
	        print '<a href="'.$link.'">'.$link_name.'</a>';
		}elseif($link_title == true) {
	        print '<a title="'.$link_title.'" href="'.$link.'">'.$link_name.'</a>';		
		}
	
	}
	
	/*
	 * @var  string Функция выделения текста из поиска
	*/	
    public static function search_text($search, $txt) {
        $r = preg_split( '((>)|(<))', $txt, - 1, PREG_SPLIT_DELIM_CAPTURE );
            for($i = 0; $i < count( $r ); $i ++) {
                if( $r[$i] == "<" ) {
                    $i ++;
                    continue;
                }
                    $r[$i] = preg_replace( "#($search)#i", "<span style='background-color:yellow;'><font color='red'>\\1</font></span>", $r[$i] );
            }
        return join( "", $r );
    }
	/*
	 * @var  Функция обработки иконок
	 * string  $img = IMG название
	 * string  $img_title = Комментария к иконке
	*/		
	public static function img_shcms($img,$img_title){
	    if($img_title == false) {
	        print '<img src="'.$img.'">&nbsp;';
		}elseif($img_title == true) {
	        print '<img title="'.$img_title.'" src="'.$img.'">&nbsp;';
		}	
	
	
	}
	
	public static function format($name) {
        $f1 = strrpos($name, ".");
        $f2 = substr($name, $f1 + 1, 999);
        $fname = strtolower($f2);
    return $fname;
    }
	public static function format2($name1) {
        $f12 = strrpos($name1, ".");
        $f21 = substr($name1, $f12 - 999, -4);
        $fname12 = strtolower($f21);
    return $fname12;
    }
	
	function system_nick($image = ''){
        if($image == true) {
            echo '<img src="../template/icon/users/system.png">&nbsp;Система';
        }else {
            return  '<img src="../template/icon/users/system.png">&nbsp;Система';
        }
    }


}
?>